Package net.shibboleth.idp.authn.impl

# Class ValidateCredentials.UsernamePasswordCleanupHook

java.lang.Object
net.shibboleth.idp.authn.impl.ValidateCredentials.UsernamePasswordCleanupHook

All Implemented Interfaces:
  `Consumer<ProfileRequestContext>`

Enclosing class:
  ValidateCredentials

public static class ValidateCredentials.UsernamePasswordCleanupHook extends Object implements Consumer<ProfileRequestContext>
A default cleanup hook that removes the `UsernamePasswordContext` from the tree. It also "clears" the password field, but this won't be useful until we get off the String type.

Since:
  4.1.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private EncryptedCookieManager`
`cookieManager`
Optional cookie manager to use.

## Constructor Summary

Constructors
Constructor
Description
`UsernamePasswordCleanupHook()`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(ProfileRequestContext input)`
`void`
`setEncryptedCookieManager(EncryptedCookieManager manager)`
Sets optional `EncryptedCookieManager` to use.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Consumer

`andThen`

## Field Details

### cookieManager

@Nullable private EncryptedCookieManager cookieManager
Optional cookie manager to use.

## Constructor Details

### UsernamePasswordCleanupHook

public UsernamePasswordCleanupHook()

## Method Details

### setEncryptedCookieManager

public void setEncryptedCookieManager(@Nullable EncryptedCookieManager manager)
Sets optional `EncryptedCookieManager` to use.

Parameters:
  `manager` - cookie manager
Since:
  5.2.0

### accept

public void accept(@Nullable ProfileRequestContext input)

Specified by:
  `accept` in interface `Consumer<ProfileRequestContext>`